Subject: Re: Notes on Using Git with Subprojects

From: Shawn Pearce <[email-masked]>
Date: Wed, 27 Sep 2006 23:58:55 -0400

Jeff King <[email-masked]> wrote:
> On Wed, Sep 27, 2006 at 08:47:34PM -0700, A Large Angry SCM wrote:
> 
> > >A first step to this would be an argument to git-clone to allow cloning
> > >only a subset of refs.
> > Something like this?
> > 
> > 	git-init-db
> > 	git-fetch <repository> <refspecs>
> 
> Exactly, but I was suggesting something more user-friendly (e.g., it's
> nice to use git-clone because it creates the remotes file). I was going
> to hack up a quick change to git-clone, but I think some thought needs
> to be given to semantics, especially with respect to tags (should it
> imply no tags? Only tags which point to refs we're already fetching?).

If you are fetching a set of commits from a repository you probably
should be fetching any tags that point at the commits you've fetched.
They tend to be few compared to the commits, they tend to be small,
and they tend to be important milestones in the tracked project.

I think that's why the native Git protocol sends tags for any
commits that were also sent.  :)

-- 
Shawn.